summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorBrian Pepple <bpepple@fedoraproject.org>2009-10-22 19:35:55 -0400
committerBrian Pepple <bpepple@fedoraproject.org>2009-10-22 19:35:55 -0400
commitacf6aabb5d8e14b3ba7f7f02cbd33ff31ff16047 (patch)
tree44d6808ede16640d91eb51dad1d723ebd20250b7 /autogen.sh
downloadsonancy-acf6aabb5d8e14b3ba7f7f02cbd33ff31ff16047.tar.gz
sonancy-acf6aabb5d8e14b3ba7f7f02cbd33ff31ff16047.tar.xz
sonancy-acf6aabb5d8e14b3ba7f7f02cbd33ff31ff16047.zip
Initial commit.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..6c4a4fd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="sonancy"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+REQUIRED_AUTOCONF_VERSION=2.59 REQUIRED_AUTOMAKE_VERSION=1.11 USE_GNOME2_MACROS=1 . gnome-autogen.sh